Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface CompositeStructureModelEditor

    com.change_vision.jude.api.inf.editor.CompositeStructureModelEditor

    public CompositeStructureModelEditor

Interface to edit (create/delete) CompositeStructure Models.

Method Summary
`abstract IConnector` | `createConnector(IAttribute part1, IPort port1, IAttribute part2, IPort port2)` Create a Connector between specified ports.
`abstract IRealization` | `createRealization(IPort supplier, String name)` Create a realization between a port and an interface.
`abstract IUsage` | `createUsage(IPort supplier, String name)` Create a usage between a port and an interface.

Method Detail

### createConnector

    abstract IConnector createConnector(IAttribute part1,
                                        IPort port1,
                                        IAttribute part2,
                                        IPort port2)

  Create a Connector between specified ports.

  Parameters:
    `part1` - Part
    `port1` - Port
    `part2` - Part
    `port2` - Port
  Returns:
    IConnector Connector
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createRealization

    abstract IRealization createRealization(IPort supplier,
                                            String name)

  Create a realization between a port and an interface.

  Parameters:
    `client` - Port to Realize
    `supplier` - Interface
    `name` - Realization Name
  Returns:
    IRealization Realization
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              REALIZATION_EXIST_KEY - if a realization already exist.
              INVALID_REALIZATION_KEY - if a target of a realization is not an interface.
              REALIZATION_LOOP_ERROR_KEY - if a realization loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### createUsage

    abstract IUsage createUsage(IPort supplier,
                                String name)

  Create a usage between a port and an interface.

  Parameters:
    `client` - Client Port
    `supplier` - Supplier Model
    `name` - Usage Name
  Returns:
    IUsage Usage
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              USAGE_EXIST_KEY - if a usage already exist.
              INVALID_USAGE_KEY - if a target of a usage is not an interface.
              USAGE_LOOP_ERROR_KEY - if a usage loops.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD